## mplayer-dmo 1.5.0+svn38680

=== debian/changelog ===
mplayer-dmo (4:1.5.0+svn38680-dmo6) unstable; urgency=medium

  * Update included ffmpeg to 7.1.2
    Fixes following vulnerabilities: CVE-2025-1594

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 15 Sep 2025 08:42:09 +0200

mplayer-dmo (4:1.5.0+svn38680-dmo5) unstable; urgency=medium

  * Build with libtheoradec2

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 31 Aug 2025 19:29:13 +0200

mplayer-dmo (4:1.5.0+svn38680-dmo4) unstable; urgency=medium

  * Build with libbluray3

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 19 Aug 2025 17:10:01 +0200

mplayer-dmo (4:1.5.0+svn38680-dmo3) unstable; urgency=medium

  * Build with libvpx11

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 18 Aug 2025 17:05:16 +0200

mplayer-dmo (4:1.5.0+svn38680-dmo2) unstable; urgency=medium

  * Build with libxml2-16

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 14 Aug 2025 19:20:54 +0200

mplayer-dmo (4:1.5.0+svn38680-dmo1) unstable; urgency=medium

  * Git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 07 Jun 2025 08:22:47 +0200

mplayer-dmo (4:1.5.0+svn38677-dmo2) unstable; urgency=medium

  * Add support for riscv64

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 28 Mar 2025 11:11:44 +0100

mplayer-dmo (4:1.5.0+svn38677-dmo1+b1) unstable; urgency=medium

  * Build with libx264-165

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 16 Mar 2025 10:12:28 +0100

mplayer-dmo (4:1.5.0+svn38677-dmo1) unstable; urgency=medium

  * Git snapshot.
  * Build with ffmpeg 7.1.1

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 05 Mar 2025 16:04:45 +0100

mplayer-dmo (4:1.5.0+svn38674-dmo1) unstable; urgency=medium

  * Git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 29 Jan 2025 13:37:19 +0100

mplayer-dmo (4:1.5.0+svn38668-dmo1) unstable; urgency=medium

  * Git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 22 Dec 2024 01:20:09 +0100

mplayer-dmo (4:1.5.0+svn38666-dmo1) unstable; urgency=medium

  * Git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 11 Nov 2024 16:03:07 +0100

mplayer-dmo (4:1.5.0+svn38665-dmo1) unstable; urgency=medium

  * Git snapshot.
  * Remove 32 bits patch related to libzlo

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 06 Oct 2024 11:30:35 +0200

mplayer-dmo (4:1.5.0+svn38664-dmo1) unstable; urgency=medium

  * Git snapshot.
  * Build 32 bits arches with --disable-liblzo until fixed by upstream.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 03 Oct 2024 15:09:35 +0200

mplayer-dmo (4:1.5.0+svn38542-dmo1) unstable; urgency=medium

  * Git snapshot.
  * Build with ffmpeg 7.0.1

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 26 May 2024 10:19:29 +0200

mplayer-dmo (4:1.5.0+svn38506-dmo2) unstable; urgency=medium

  * Build with libvpx9

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 10 May 2024 11:49:30 +0200

mplayer-dmo (4:1.5.0+svn38506-dmo1) unstable; urgency=medium

  * Git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 07 May 2024 15:11:59 +0200

mplayer-dmo (4:1.5.0+svn38460-dmo1) unstable; urgency=medium

  * Git snapshot.
  * Build with ffmpeg 7.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 16 Apr 2024 15:49:35 +0200

=== debian/control ===
Source: mplayer-dmo
Section: graphics
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: http://www.mplayerhq.hu/
Rules-Requires-Root: no
Standards-Version: 4.6.2
Build-Depends-Indep: xsltproc, docbook-xml, docbook-xsl
Build-Conflicts: libesd0-dev, libggiwmh0-dev, libggi2-dev, liboss4-salsa-dev, libopenjpeg-dev
Build-Depends: debhelper-compat (= 13), libncurses-dev, awk | gawk, libopus-dev,
 liblirc-dev, libvorbis-dev, libsctp-dev [linux-any], libsdl2-dev, pkgconf,
 libmad0-dev, libasound2-dev [linux-any], liblzo2-dev, libfaad-dev, libdca-dev,
 libjpeg62-turbo-dev, libaudiofile-dev, libsmbclient-dev, libfribidi-dev,
 libxv-dev, libgif-dev, libaa1-dev, quilt, vstream-client-dev (>= 1.2.1.1),
 libmp3lame-dev, libxvidcore-dev, libdv-dev, libcaca-dev, libcdio-paranoia-dev,
 liblivemedia-dev (>= 1:2013.01.15-dmo1), libfreetype-dev, libjack-jackd2-dev,
 libass-dev, libgl-dev | libgl-dev, libopencore-amrwb-dev, libbs2b-dev,
 libxss-dev, libtheora-dev, libx264-dev (>= 3:0.146~), libglu1-mesa-dev,
 libfontconfig-dev, libaudio-dev, libmpcdec-dev, libvpx-dev (>= 1.4.0), libavformat-7-dev,
 libpulse-dev, libxxf86dga-dev, libjack-dev, ladspa-sdk, vstream-client-dev,
 libfaac-dev, libxinerama-dev, libtwolame-dev, libspeex-dev, libopenal-dev,
 nasm [i386 amd64 kfreebsd-i386 kfreebsd-amd64], libbluray-dev [linux-any],
 libenca-dev, liba52-0.7.4-dev, libgnutls28-dev, libegl1-mesa-dev, libilbc-dev [!powerpc],
 libdts-dev, libbz2-dev, libmng-dev, libopenjp2-7-dev, librtmp-dev, libmpg123-dev,
 libopencore-amrnb-dev, libvdpau-dev [amd64 i386], libdvdread-dev, libdvdnav-dev,
 libiso9660-dev (>= 0.83), libvorbisidec-dev, libgsm1-dev, libdav1d-dev,
 libavcodec-7-dev (>= 10:5~), libmpeg2-4-dev, libvdpau-dev, libswscale-7-dev,
 libaom-dev, libvpl-dev [amd64], pkgconf

Package: mplayer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libdvdcss, mplayer-doc, pulseaudio, jackd, nvidia-vdpau-driver
Conflicts: mplayer-386, mplayer-586, mplayer-k6, mplayer-custom, libconfhelper-perl, mplayer-gui
Replaces: mplayer-386, mplayer-586, mplayer-k6, mplayer-custom, mplayer-nogui
Description: Ultimate Movie Player For Linux
 It plays most mpeg, avi and asf files, supported by many native and win32
 DLL codecs. You can watch VCD, DVD and even DivX movies too. The other
 big feature of mplayer is the wide range of supported output drivers. It
 works with X11, Xv, DGA, OpenGL, SVGAlib, fbdev, but you can use SDL (and
 this way all drivers of SDL) and some lowlevel card-specific drivers (for
 Matrox/3dfx/SiS) too! Most of them supports software or hardware scaling,
 so you can enjoy movies in fullscreen.

Package: mencoder
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libdvdcss, mplayer-doc, nvidia-vdpau-driver
Conflicts: mencoder-k6, mencoder-386, mencoder-586, mencoder-custom
Replaces: mencoder-k6, mencoder-386, mencoder-586, mencoder-custom, mplayer
Description: MPlayer's Movie Encoder
 A simple movie encoder, designed to encode MPlayer-playable movies
 (AVI/ASF/OGG/DVD/VCD/VOB/MPG/MOV/VIV/FLI/RM/NUV/NET) to other
 MPlayer-playable formats. It can encode with various codecs, like DivX4 (1
 or 2 passes), libavcodec, PCM/MP3/VBRMP3 audio. Also has stream copying and
 video resizing abilities.

Package: mplayer-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Documentation for mplayer
 This package contains the documentation Chinese, English, French, German,
 Hungarian, Italian and Polish.

=== debian/rules ===
#!/usr/bin/make -f

ifneq (,$(findstring parallel=,$(DEB_BUILD_OPTIONS)))
	NCPUS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
else
	NCPUS := $(shell getconf _NPROCESSORS_ONLN 2>/dev/null || echo 1)
	ifeq ($(NCPUS),-1)
		NCPUS:=1
	endif
	ifeq ($(NCPUS),0)
		NCPUS:=1
	endif
endif

REVISION="1.5 r38680"

DEBIAN_VERSION=\#define VERSION \"$(REVISION)\"
DEBIAN_TITLE=\#define MP_TITLE \"MPlayer $(REVISION) (C) 2000-2025 MPlayer Team\\\n\"

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

ifneq (,$(findstring marillat,$(DEB_BUILD_OPTIONS)))
	CONTROL=control.marillat
else
ifeq "$(DEB_HOST_ARCH)" "powerpc"
	CONTROL=control.powerpc
	FLAVOURS=-g4
else
	CONTROL=control.$(DEB_HOST_ARCH)
endif
endif

# Split up config options
CONFIG_DIRS=--prefix=/usr --confdir=/etc/mplayer --datadir=/usr/share/mplayer
CONFIG_MGA=--disable-xmga --disable-mga
CONFIG_3DFX=--enable-tdfxfb --enable-s3fb
#CONFIG_ZR=--enable-zr
CONFIG_CONTROL=--enable-joystick
CONFIG_AUDIO=--enable-libopencore_amrnb --enable-libopencore_amrwb \
	--disable-openal --disable-decoder=amrnb

CONFIG_MISC=--language=all --enable-menu \
	--enable-radio --enable-radio-capture --disable-sndio \
	--extra-libs="-ldl -lvorbisenc -lvorbis"

# Doesn't work 01/06/2012
#CONFIG_HARD=CFLAGS="$(shell dpkg-buildflags --get CFLAGS)" \
#	CPPFLAGS="$(shell dpkg-buildflags --get CPPFLAGS)" \
#	CXXFLAGS="$(shell dpkg-buildflags --get CXXFLAGS)" \
#	LDFLAGS="$(shell dpkg-buildflags --get LDFLAGS)"

CONFIG_HARD=--extra-ldflags="$(shell dpkg-buildflags --get LDFLAGS)"

CONFIG_WIN32=--disable-win32dll

# Options common to all architectures
CONFIG_ARCH_INDEP=$(CONFIG_DIRS) $(CONFIG_MGA) $(CONFIG_CONTROL) \
	$(CONFIG_AUDIO) $(CONFIG_MISC) --disable-png --disable-directfb

# Options common to all amd64 configurations
CONFIG_AMD64_ALL=$(CONFIG_ARCH_INDEP) $(CONFIG_3DFX) $(CONFIG_ZR)

# Options common to all i386 configurations
CONFIG_I386_ALL=$(CONFIG_ARCH_INDEP) $(CONFIG_WIN32) $(CONFIG_3DFX) $(CONFIG_ZR)

# Options common to all armel configurations
CONFIG_ARMEL_ALL=$(CONFIG_ARCH_INDEP) --disable-win32dll --disable-gui

# Options common to all armhf configurations
CONFIG_ARMHF_ALL=$(CONFIG_ARCH_INDEP) --disable-win32dll --disable-gui

# Options common to all arm64 configurations
CONFIG_ARM64_ALL=$(CONFIG_ARCH_INDEP) --disable-win32dll --disable-gui

# Options common to all riscv64 configurations
CONFIG_RISCV64_ALL=$(CONFIG_ARCH_INDEP) --disable-win32dll --disable-gui

# Options common to all powerpc configurations
CONFIG_PPC_ALL=$(CONFIG_ARCH_INDEP) --disable-gui --disable-win32dll

# Options common to all ppc64 configurations
CONFIG_PPC64_ALL=$(CONFIG_ARCH_INDEP) --disable-gui --disable-win32dll

CONFIGURE_MPLAYER=$(CONFIG_AMD64_ALL) --disable-gui --enable-runtime-cpudetection

# Doesn't work (10/07/08)
#CONFIGURE_PPC=$(CONFIG_PPC_ALL) --enable-runtime-cpudetection
CONFIGURE_PPC=$(CONFIG_PPC_ALL) --disable-altivec

CONFIGURE_G4=$(CONFIG_PPC_ALL) --enable-altivec

CONFIGURE_I386=$(CONFIG_I386_ALL) --disable-gui --enable-runtime-cpudetection --target=i586-linux --disable-ffmpeg_a

CONFIGURE_PPC64=$(CONFIG_PPC64_ALL) --disable-gui

CONFIGURE_ARMEL=$(CONFIG_ARMEL_ALL) --disable-ffmpeg_a

CONFIGURE_ARMHF=$(CONFIG_ARMHF_ALL) --disable-ffmpeg_a

CONFIGURE_ARM64=$(CONFIG_ARMHF_ALL) --disable-ffmpeg_a

CONFIGURE_RISCV64=$(CONFIG_RISCV64_ALL) --disable-ffmpeg_a

CONFIGURE_CUSTOM=$(CONFIG_I386_ALL)

%:
	dh $@ --with quilt

override_dh_auto_configure:
	cp debian/$(CONTROL) debian/control

	ln -s ffmpeg-7-1-2 ffmpeg
	-mkdir ffmpeg/ffbuild

	cp /usr/include/*/ffmpeg-7/libavutil/avconfig.h ffmpeg/libavutil/

ifneq (,$(findstring marillat,$(DEB_BUILD_OPTIONS)))
ifeq "$(DEB_HOST_ARCH)" "amd64"
	############################ amd64 ###############################

	./configure $(CONFIGURE_MPLAYER) $(CONFIG_HARD)

	echo "$(DEBIAN_VERSION)"  >> version.h
	echo "$(DEBIAN_TITLE)" >> version.h

#	exit 1

	$(MAKE) -j $(NCPUS)

	$(MAKE) install prefix=$(CURDIR)/debian/mplayer/usr \
	CONFDIR=$(CURDIR)/debian/mplayer/etc/mplayer \
	DATADIR=$(CURDIR)/debian/mplayer/usr/share/mplayer \
	LIBDIR=$(CURDIR)/debian/mplayer/usr/lib \
	MANDIR=$(CURDIR)/debian/mplayer/usr/share/man \
	BINDIR=$(CURDIR)/debian/mplayer/usr/bin

endif	# amd64
endif	# marillat

ifeq (,$(findstring marillat,$(DEB_BUILD_OPTIONS)))
ifeq "$(DEB_HOST_ARCH)" "powerpc"
	########################## generic powerpc #######################

	./configure $(CONFIGURE_PPC) $(CONFIG_HARD) 

	echo "$(DEBIAN_VERSION)"  >> version.h
	echo "$(DEBIAN_TITLE)" >> version.h

#	perl -i -pe 's,-mtune=(\w+),-mtune=powerpc,' config.mak
#	perl -i -pe 's,-mcpu=(\w+),-mcpu=powerpc,' config.mak
#	perl -i -pe 's,-maltivec,-mno-altivec,' config.mak
#	perl -i -pe 's,-mabi=altivec,-mabi=no-altivec,' config.mak

#	perl -i -pe 's,#define HAVE_ALTIVEC 1,#undef HAVE_ALTIVEC,' config.h
#	perl -i -pe 's,#define HAVE_ALTIVEC_H 1,#undef HAVE_ALTIVEC_H,' config.h
#	perl -i -pe 's,HAVE_ALTIVEC   = yes,HAVE_ALTIVEC = no,' config.mak

#	perl -i -pe 's,#define CONFIG_MOVIE_FILTER 0,#define CONFIG_MOVIE_FILTER 0\n#define HAVE_VSX 0,' config.h

	$(MAKE) -j $(NCPUS)

	$(MAKE) install prefix=$(CURDIR)/debian/mplayer/usr \
	CONFDIR=$(CURDIR)/debian/mplayer/etc/mplayer \
	DATADIR=$(CURDIR)/debian/mplayer/usr/share/mplayer \
	LIBDIR=$(CURDIR)/debian/mplayer/usr/lib \
	MANDIR=$(CURDIR)/debian/mplayer/usr/share/man \
	BINDIR=$(CURDIR)/debian/mplayer/usr/bin

	dh_installdirs -pmencoder usr/bin usr/share/man/man1

	mv debian/mplayer/usr/bin/mencoder debian/mencoder/usr/bin

	[ ! -f Makefile ] || $(MAKE) distclean

	######################## powerpc-g4  ###############################

	./configure $(CONFIGURE_G4) $(CONFIG_HARD) 

	echo "$(DEBIAN_VERSION)"  >> version.h
	echo "$(DEBIAN_TITLE)" >> version.h

#	perl -i -pe 's,-mtune=(\w+),-mtune=7450,' config.mak
#	perl -i -pe 's,-mcpu=(\w+),-mcpu=7450,' config.mak

#	perl -i -pe 's,#define CONFIG_MOVIE_FILTER 0,#define CONFIG_MOVIE_FILTER 0\n#define HAVE_VSX 0,' config.h

	$(MAKE) -j $(NCPUS)

	$(MAKE) install prefix=$(CURDIR)/debian/mplayer-g4/usr \
	CONFDIR=$(CURDIR)/debian/mplayer-g4/etc/mplayer \
	DATADIR=$(CURDIR)/debian/mplayer-g4/usr/share/mplayer \
	LIBDIR=$(CURDIR)/debian/mplayer-g4/usr/lib \
	MANDIR=$(CURDIR)/debian/mplayer-g4/usr/share/man \
	BINDIR=$(CURDIR)/debian/mplayer-g4/usr/bin

	dh_installdirs -pmencoder-g4 usr/bin usr/share/man/man1

	mv debian/mplayer-g4/usr/bin/mencoder debian/mencoder-g4/usr/bin

#	exit 1

else	# powerpc
ifeq "$(DEB_HOST_ARCH)" "ppc64"
	############################ ppc64 ###############################

	./configure $(CONFIGURE_PPC64) $(CONFIG_HARD)

	echo "$(DEBIAN_VERSION)"  >> version.h
	echo "$(DEBIAN_TITLE)" >> version.h

	perl -i -pe 's,-mtune=(\w+),-mtune=G5,' config.mak
	perl -i -pe 's,-mcpu=(\w+),-mcpu=G5 -falign-loops=16,' config.mak

	$(MAKE) -j $(NCPUS)

	$(MAKE) install prefix=$(CURDIR)/debian/mplayer/usr \
	CONFDIR=$(CURDIR)/debian/mplayer/etc/mplayer \
	DATADIR=$(CURDIR)/debian/mplayer/usr/share/mplayer \
	LIBDIR=$(CURDIR)/debian/mplayer/usr/lib \
	MANDIR=$(CURDIR)/debian/mplayer/usr/share/man \
	BINDIR=$(CURDIR)/debian/mplayer/usr/bin

else	# ppc64
ifeq "$(DEB_HOST_ARCH)" "i386"
	############################ i386 ###############################

	./configure $(CONFIGURE_I386) $(CONFIG_HARD) 



#	exit 1

	echo "$(DEBIAN_VERSION)"  >> version.h
	echo "$(DEBIAN_TITLE)" >> version.h

	$(MAKE) -j $(NCPUS)

	$(MAKE) install prefix=$(CURDIR)/debian/mplayer/usr \
	CONFDIR=$(CURDIR)/debian/mplayer/etc/mplayer \
	DATADIR=$(CURDIR)/debian/mplayer/usr/share/mplayer \
	LIBDIR=$(CURDIR)/debian/mplayer/usr/lib \
	MANDIR=$(CURDIR)/debian/mplayer/usr/share/man \
	BINDIR=$(CURDIR)/debian/mplayer/usr/bin

	dh_installdirs -pmencoder usr/bin usr/share/man/man1

else	# i386
ifeq "$(DEB_HOST_ARCH)" "armel"
	######################### armel ############################

	./configure $(CONFIGURE_ARMEL) $(CONFIG_HARD) 

	echo "$(DEBIAN_VERSION)"  >> version.h
	echo "$(DEBIAN_TITLE)" >> version.h

	$(MAKE) -j $(NCPUS)

=== debian/watch ===
version=4

https://mplayerhq.hu/MPlayer/releases/MPlayer-@ANY_VERSION@@ARCHIVE_EXT@

## mplayer-dmo 1.5.0+svn38681

=== Makefile ===
# MPlayer Makefile
#
# copyright (c) 2008 Diego Biurrun
# Rewritten entirely from a set of Makefiles written by Arpi and many others.
#
# This file is part of MPlayer.
#
# MPlayer is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# MPlayer is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with MPlayer; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

include config.mak

###### variable declarations #######

# local fallbacks for missing operating system features
# the fallback for gettimeofday should actually no longet be needed
#OS_FEATURE-$(GETTIMEOFDAY)           += osdep/gettimeofday.c
OS_FEATURE-$(GLOB_WIN)               += osdep/glob-win.c
OS_FEATURE-$(MMAP)                   += osdep/mmap-os2.c
OS_FEATURE-$(SETENV)                 += osdep/setenv.c
OS_FEATURE-$(SHMEM)                  += osdep/shmem.c
OS_FEATURE-$(STRSEP)                 += osdep/strsep.c
OS_FEATURE-$(VSSCANF)                += osdep/vsscanf.c

# conditional source declarations
SRCS_AUDIO_INPUT-$(ALSA)             += stream/ai_alsa.c
SRCS_AUDIO_INPUT-$(OSS)              += stream/ai_oss.c
SRCS_COMMON-$(AUDIO_INPUT)           += $(SRCS_AUDIO_INPUT-yes)
SRCS_COMMON-$(BITMAP_FONT)           += sub/font_load.c
SRCS_COMMON-$(CDDA)                  += stream/stream_cdda.c            \
                                        stream/cdinfo.c
SRCS_COMMON-$(CDDB)                  += stream/stream_cddb.c
SRCS_COMMON-$(DVBIN)                 += stream/dvb_tune.c               \
                                        stream/stream_dvb.c
SRCS_COMMON-$(DVDNAV)                += stream/stream_dvdnav.c

SRCS_COMMON-$(DVDREAD)               += stream/stream_dvd.c             \
                                        stream/stream_dvd_common.c

SRCS_COMMON-$(FAAD)                  += libmpcodecs/ad_faad.c
SRCS_COMMON-$(FASTMEMCPY)            += libvo/aclib.c
SRCS_COMMON-$(FFMPEG)                += av_helpers.c                    \
                                        av_opts.c                       \
                                        libaf/af_lavcac3enc.c           \
                                        libaf/af_lavcresample.c         \
                                        libmpcodecs/ad_ffmpeg.c         \
                                        libmpcodecs/ad_spdif.c          \
                                        libmpcodecs/vd_ffmpeg.c         \
                                        libmpcodecs/vf_geq.c            \
                                        libmpcodecs/vf_lavc.c           \
                                        libmpcodecs/vf_lavcdeint.c      \
                                        libmpcodecs/vf_screenshot.c     \
                                        libmpdemux/demux_lavf.c         \
                                        stream/stream_ffmpeg.c          \
                                        sub/av_sub.c                    \

SRCS_COMMON-$(CONFIG_VF_LAVFI)      +=  libmpcodecs/vf_lavfi.c

# These filters use private headers and do not work with shared FFmpeg.
SRCS_COMMON-$(FFMPEG_A)              += libmpcodecs/vf_fspp.c           \
                                        libmpcodecs/vf_qp.c             \
                                        libmpcodecs/vf_spp.c            \

# needs update for missing coded_frame
#libmpcodecs/vf_uspp.c           \

SRCS_COMMON-$(FREETYPE)              += sub/font_load_ft.c
SRCS_COMMON-$(FTP)                   += stream/stream_ftp.c
SRCS_COMMON-$(GIF)                   += libmpdemux/demux_gif.c
SRCS_COMMON-$(HAVE_POSIX_SELECT)     += libmpcodecs/vf_bmovl.c
SRCS_COMMON-$(HAVE_SYS_MMAN_H)       += libaf/af_export.c osdep/mmap_anon.c
SRCS_COMMON-$(JPEG)                  += libmpcodecs/vd_ijpg.c
SRCS_COMMON-$(LADSPA)                += libaf/af_ladspa.c
SRCS_COMMON-$(LIBA52)                += libmpcodecs/ad_liba52.c
SRCS_COMMON-$(LIBASS)                += libmpcodecs/vf_ass.c            \
                                        sub/ass_mp.c                    \
                                        sub/subassconvert.c             \

SRCS_COMMON-$(LIBASS_INTERNAL)       += libass/ass.c                    \
                                        libass/ass_bitmap.c             \
                                        libass/ass_cache.c              \
                                        libass/ass_drawing.c            \
                                        libass/ass_font.c               \
                                        libass/ass_fontconfig.c         \
                                        libass/ass_library.c            \
                                        libass/ass_parse.c              \
                                        libass/ass_render.c             \
                                        libass/ass_render_api.c         \
                                        libass/ass_shaper.c             \
                                        libass/ass_strtod.c             \
                                        libass/ass_utils.c              \

SRCS_COMMON-$(LIBBLURAY)             += stream/stream_bluray.c
SRCS_COMMON-$(LIBBS2B)               += libaf/af_bs2b.c
SRCS_COMMON-$(LIBDCA)                += libmpcodecs/ad_libdca.c
SRCS_COMMON-$(LIBDV)                 += libmpcodecs/ad_libdv.c          \
                                        libmpcodecs/vd_libdv.c          \
                                        libmpdemux/demux_rawdv.c

SRCS_COMMON-$(LIBMAD)                += libmpcodecs/ad_libmad.c

SRCS_COMMON-$(LIBMPEG2)              += libmpcodecs/vd_libmpeg2.c
SRCS_LIBMPEG2-INTERNAL-$(ARCH_ALPHA) += libmpeg2/idct_alpha.c           \
                                        libmpeg2/motion_comp_alpha.c
SRCS_LIBMPEG2-INTERNAL-$(ARCH_ARM)   += libmpeg2/motion_comp_arm.c      \
                                        libmpeg2/motion_comp_arm_s.S
SRCS_LIBMPEG2-INTERNAL-$(HAVE_ALTIVEC) += libmpeg2/idct_altivec.c       \
                                        libmpeg2/motion_comp_altivec.c
SRCS_LIBMPEG2-INTERNAL-$(HAVE_MMX)   += libmpeg2/idct_mmx.c             \
                                        libmpeg2/motion_comp_mmx.c
SRCS_LIBMPEG2-INTERNAL-$(HAVE_VIS)   += libmpeg2/motion_comp_vis.c
SRCS_COMMON-$(LIBMPEG2_INTERNAL)     += libmpeg2/alloc.c                \
                                        libmpeg2/cpu_accel.c            \
                                        libmpeg2/cpu_state.c            \
                                        libmpeg2/decode.c               \
                                        libmpeg2/header.c               \
                                        libmpeg2/idct.c                 \
                                        libmpeg2/motion_comp.c          \
                                        libmpeg2/slice.c                \
                                        $(SRCS_LIBMPEG2-INTERNAL-yes)

SRCS_COMMON-$(LIBNEMESI)             += libmpdemux/demux_nemesi.c       \
                                        stream/stream_nemesi.c
SRCS_COMMON-$(LIBNUT)                += libmpdemux/demux_nut.c
SRCS_COMMON-$(LIBSMBCLIENT)          += stream/stream_smb.c
SRCS_COMMON-$(LIBTHEORA)             += libmpcodecs/vd_theora.c
SRCS_COMMON-$(LIVE555)               += libmpdemux/demux_rtp.cpp        \
                                        libmpdemux/demux_rtp_codec.cpp  \
                                        stream/stream_live555.c
SRCS_COMMON-$(MACOSX_FINDER)         += osdep/macosx_finder_args.c
SRCS_COMMON-$(MNG)                   += libmpdemux/demux_mng.c
SRCS_COMMON-$(MPG123)                += libmpcodecs/ad_mpg123.c

SRCS_COMMON-$(MUSEPACK)              += libmpcodecs/ad_mpc.c            \
                                        libmpdemux/demux_mpc.c
SRCS_COMMON-$(NATIVE_RTSP)           += stream/stream_rtsp.c            \
                                        stream/freesdp/common.c         \
                                        stream/freesdp/errorlist.c      \
                                        stream/freesdp/parser.c         \
                                        stream/librtsp/rtsp.c           \
                                        stream/librtsp/rtsp_rtp.c       \
                                        stream/librtsp/rtsp_session.c   \

SRCS_COMMON-$(NETWORKING)            += stream/stream_netstream.c       \
                                        stream/asf_mmst_streaming.c     \
                                        stream/asf_streaming.c          \
                                        stream/cookies.c                \
                                        stream/http.c                   \
                                        stream/network.c                \
                                        stream/pnm.c                    \
                                        stream/rtp.c                    \
                                        stream/udp.c                    \
                                        stream/tcp.c                    \
                                        stream/stream_rtp.c             \
                                        stream/stream_udp.c             \
                                        stream/librtsp/rtsp.c           \
                                        stream/realrtsp/asmrp.c         \
                                        stream/realrtsp/real.c          \
                                        stream/realrtsp/rmff.c          \
                                        stream/realrtsp/sdpplin.c       \
                                        stream/realrtsp/xbuffer.c       \

SRCS_COMMON-$(PNG)                   += libmpcodecs/vd_mpng.c
SRCS_COMMON-$(POSTPROC)              += libmpcodecs/vf_pp.c
SRCS_COMMON-$(PRIORITY)              += osdep/priority.c
SRCS_COMMON-$(PVR)                   += stream/stream_pvr.c
SRCS_COMMON-$(QTX_CODECS)            += libmpcodecs/ad_qtaudio.c        \
                                        libmpcodecs/vd_qtvideo.c
SRCS_COMMON-$(RADIO)                 += stream/stream_radio.c
SRCS_COMMON-$(RADIO_CAPTURE)         += stream/audio_in.c
SRCS_COMMON-$(REAL_CODECS)           += libmpcodecs/ad_realaud.c        \
                                        libmpcodecs/vd_realvid.c
SRCS_COMMON-$(SPEEX)                 += libmpcodecs/ad_speex.c
SRCS_COMMON-$(STREAM_CACHE)          += stream/cache2.c
SRCS_COMMON-$(TV)                    += stream/frequencies.c            \
                                        stream/stream_tv.c              \
                                        stream/tv.c                     \
                                        stream/tvi_dummy.c
SRCS_COMMON-$(TV_BSDBT848)           += stream/tvi_bsdbt848.c
SRCS_COMMON-$(TV_DSHOW)              += stream/tvi_dshow.c              \
                                        loader/dshow/guids.c            \
                                        loader/dshow/mediatype.c        \

SRCS_COMMON-$(TV_V4L1)               += stream/tvi_v4l.c                \
                                        stream/audio_in.c
SRCS_COMMON-$(TV_V4L2)               += stream/tvi_v4l2.c               \
                                        stream/audio_in.c
SRCS_COMMON-$(UNRAR_EXEC)            += sub/unrar_exec.c
SRCS_COMMON-$(VCD)                   += stream/stream_vcd.c
SRCS_COMMON-$(VORBIS)                += libmpcodecs/ad_libvorbis.c      \
                                        libmpdemux/demux_ogg.c
SRCS_COMMON-$(VSTREAM)               += stream/stream_vstream.c

=== debian/changelog ===
mplayer-dmo (4:1.5.0+svn38681-dmo1) unstable; urgency=medium

  * Git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 16 Dec 2025 10:51:21 +0100

mplayer-dmo (4:1.5.0+svn38680-dmo7) unstable; urgency=medium

  * Update included ffmpeg to 7.1.3

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 21 Nov 2025 16:17:24 +0100

## mplayer-dmo 1.5.0+svn38683

=== debian/changelog ===
mplayer-dmo (4:1.5.0+svn38683-dmo2) unstable; urgency=medium

  * Build with libvpx12

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 09 Feb 2026 11:40:26 +0100

mplayer-dmo (4:1.5.0+svn38683-dmo1) unstable; urgency=medium

  * Git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 01 Jan 2026 15:38:22 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,9 @@
 Source: mplayer-dmo
 Section: graphics
-Priority: optional
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: http://www.mplayerhq.hu/
-Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.3
 Build-Depends-Indep: xsltproc, docbook-xml, docbook-xsl
 Build-Conflicts: libesd0-dev, libggiwmh0-dev, libggi2-dev, liboss4-salsa-dev, libopenjpeg-dev
 Build-Depends: debhelper-compat (= 13), libncurses-dev, awk | gawk, libopus-dev,

=== debian/rules ===
--- 
+++ 
@@ -109,7 +109,7 @@
 override_dh_auto_configure:
 	cp debian/$(CONTROL) debian/control
 
-	ln -s ffmpeg-7-1-2 ffmpeg
+	ln -s ffmpeg-7-1-3 ffmpeg
 	-mkdir ffmpeg/ffbuild
 
 	cp /usr/include/*/ffmpeg-7/libavutil/avconfig.h ffmpeg/libavutil/
